## mx4j.log
Class CommonsLogger

    java.lang.Object
      mx4j.log.Logger
          mx4j.log.CommonsLogger

public class CommonsLogger
extends Logger

Log that redirects log calls to Jakarta Commons Logging.

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class mx4j.log.Logger
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`CommonsLogger()`

Method Summary
`protected void` `log(int priority, java.lang.Object message, java.lang.Throwable t)`
`protected void` `setCategory(java.lang.String category)`

Methods inherited from class mx4j.log.Logger
`debug, debug, error, error, fatal, fatal, getCategory, getPriority, info, info, isEnabledFor, setPriority, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLogger

    public CommonsLogger()

Method Detail

### setCategory

    protected void setCategory(java.lang.String category)

  Overrides:
    `setCategory` in class `Logger`

### log

    protected void log(int priority,
                       java.lang.Object message,
                       java.lang.Throwable t)

  Overrides:
    `log` in class `Logger`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.